# map::mark(3tk) 0.1 map "Map display support"

## Name

map::mark - Map Action Engine - Mark A Point

## Synopsis

- package require Tcl 8.6-
- package require debug
- package require debug::caller
- package require snit
- package require map::mark ?0.1?

## Description

This package provides a map::display attachment extending the map's behaviour. This attachment enables the user to mark locations, i.e. geo/points. The marked locations are reported via a callback.

## API

## EXAMPLE

## Bugs, Ideas, Feedback

This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category map of the Tklib Trackers. Please also report any ideas for enhancements you may have for either package and/or documentation.

## Keywords

location marking, map, mark location

## Category

Map Display and Supporting Utilities